Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

Remove an SSH public key

New connections with the key are refused; open sessions stay open.

DELETE/v1/ssh-keys/{key}
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Path parameters
keystringrequired

SSH key ID (ssh_...).

Responses
204

Removed.

429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X DELETE 'https://api.pols.so/v1/ssh-keys/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Removed.